## org.apache.tomcat.util.threads
Class ThreadPool.MonitorRunnable

    java.lang.Object
      org.apache.tomcat.util.threads.ThreadPool.MonitorRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ThreadPool

public static class ThreadPool.MonitorRunnable
extends java.lang.Object
implements java.lang.Runnable

Periodically execute an action - cleanup in this case

Method Summary
`void` `run()`
`void` `setInterval(int i)`
`void` `start()`
`void` `stop()`
`void` `terminate()` Stop the monitor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### start

    public void start()

### setInterval

    public void setInterval(int i)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### stop

    public void stop()

### terminate

    public void terminate()

  Stop the monitor

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.